<?php
// $Id: views-view-views-jsgantt.tpl.php,v 1.4.2.2 2010/08/26 15:03:08 danepowell Exp $

/**
 * @file
 */

$jsgantt_dir = drupal_get_path('module', 'views_jsgantt');
drupal_add_js($jsgantt_dir . "/jsgantt/jsgantt.js");
drupal_add_css($jsgantt_dir . "/jsgantt/jsgantt.css");
drupal_add_css($jsgantt_dir . "/views_jsgantt.css");
?>
<div style="position:relative" class="gantt" id="GanttChartDIV"></div>
<script language="javascript">
var g = new JSGantt.GanttChart('g',document.getElementById('GanttChartDIV'), '<?php print($options['format']); ?>');
g.setShowRes(0); g.setShowDur(0); g.setShowComp(0); g.setCaptionType('None'); g.setShowStartDate(0); g.setShowEndDate(0);
<?php
$last_group = 0;
$list = array_filter(array_map('trim', explode("\n", $options['colorlist'])), 'strlen');
foreach ($list as $opt) {
  // Sanitize the user input with a permissive filter.
  $opt = content_filter_xss($opt);
  if (strpos($opt, '|') !== FALSE) {
    list($key, $value) = explode('|', $opt);
    $colors[$key] = (isset($value) && $value !=='') ? $value : $key;
  }
  else {
    $colors[$opt] = $opt;
  }
}
foreach ($view->result as $row) {
  $task = array();
  $task['pID'] = is_numeric($row->nid) ? $row->nid : 0;
  $task['pName'] = $row->$options['tasktitle'];
  $task['pStart'] = date("n/j/Y", strtotime($row->$options['startdate']));
  $task['pEnd'] = date("n/j/Y", strtotime($row->$options['enddate']));
  $task['pColor'] = 'ff0000';
  if (!empty($options['colorby'])) {
    $color_key = $row->$options['colorby'];
    if (is_array($colors) && array_key_exists($color_key, $colors)) {
      $task['pColor'] = $colors[$color_key];
    }
  }
  $task['pLink'] = url('node/' . $task['pID']);
  $task['pComp'] = 0;
  if (!empty($options['progress'])) {
    if (is_numeric($row->$options['progress'])) {
      $task['pComp'] = $row->$options['progress'];
    }
  }
  $task['pParent'] = 0;
  if (!empty($options['parentid'])) {
    if (is_numeric($row->$options['parentid'])) {
      $task['pParent'] = $row->$options['parentid'];
    }
  }
  if ($task['pParent'] != $last_group) {
    // This task has a different parent from the last - add the parent group
    $task['pParentLink'] = url('node/' . $task['pParent']);
    $task['pParentTitle'] = '';
    if (!empty($options['parenttitle'])) {
      $task['pParentTitle'] = $row->$options['parenttitle'];
    }
    print("g.AddTaskItem(new JSGantt.TaskItem(" . $task['pParent'] . ",'" . $task['pParentTitle'] . "','','','','" . $task['pParentLink'] . "',0,'',0,1,0,1));\n");
    $last_group = $task['pParent'];
  }
  print("g.AddTaskItem(new JSGantt.TaskItem(" . $task['pID'] . ",'" . $task['pName'] . "','" . $task['pStart'] . "','" . $task['pEnd'] . "','" . $task['pColor'] . "','" . $task['pLink'] . "',0,''," . $task['pComp'] . ",0," . $task['pParent'] . ",1));\n");
}
?>
g.Draw();
g.DrawDependencies();
</script>